<?php
 // === Classe Personnel ===
 class Personnel
 { // -- Les propriétés --
   public $nom   ;
   public $prenom;
   protected $tel;
   private $_age ;
   // -- Constructeur --
   function __construct($n,$p,$t,$a) { 
     $this->nom    = strtoupper(trim($n));
     $this->prenom = strtoupper(trim($p));
     $this->tel    = trim($t)            ;     
     $this->_age   = intval($a)          ;
   }
  function ParcoursInterne() {
     echo "-- Parcours interne --".PHP_EOL;
     foreach($this as $propriete => $valeur) {
         echo "$propriete : $valeur".PHP_EOL;
     }
  }
 }
 // === Programme ===
 $UnePersonne = new Personnel("dupont","jean","0143112233",45);
 echo "-- Parcours externe --".PHP_EOL;
 foreach($UnePersonne as $propriete => $valeur) {
    echo "$propriete : $valeur".PHP_EOL;
 }
 $UnePersonne->ParcoursInterne();
?>
